Subject: bug#63082: [PATCH 15/17] services: mpd: Provision a default cache directory and set HOME.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 29 Apr 2023 13:07:46 -0400

Hi Bruno,

Bruno Victal <[email-masked]> writes:

> On 2023-04-28 15:27, Maxim Cournoyer wrote:
>> Relates to <https://issues.guix.gnu.org/63082>.
>> 
>> * gnu/services/audio.scm (mpd-shepherd-service): Create a default .cache
>> directory.  Use mkdir-p/perms and refactor loop.  Set the HOME environment
>> variables.
>
> There's a slight problem here, you might really not want db_file to be set _at all_.
> Case in point, I use a database-plugin instead which would be
> incongruent if db_file is forcibly serialized into the config.
>
> Perhaps we could add some kind of warning mechanism that alerts the
> user that either db_file or database-plugin must be configured?

I believe there's no problem; I don't force a value to db_file, so the
serialized configuration doesn't have any.

MPD has a mechanism that scans the MPD user directory for XDG locations
such as ~/.cache; when such directories exist it supports automatically
figuring out a location for the database file and creating it itself.
If the user has specified something precise, it'd be a bug in MPD that
it doesn't honor these settings instead.

Does it clarify the mechanism?

-- 
Thanks,
Maxim